package demo

class Person {

    String name
    String firstName
    String socialSecurityNumber
    String driversLicenceNumber

    static constraints = {
        name(nullable:false, blank:false)
        firstName(nullable:true, blank:false, unique:'name') // must use unique filtered index as one index col is nullable
        socialSecurityNumber(nullable:false, blank:false, unique:true) // MS SQL constraint ok (NOT null)
        driversLicenceNumber(nullable:true, blank:false, unique:true) // must use unique filtered index to allow multiple nulls
    }
}
