dataSource {
    pooled = true
    driverClassName = "com.microsoft.sqlserver.jdbc.SQLServerDriver"
    // dialect required to map unique index viols to constraint viols and to let Hibernate 3.3 to recognize JDBC 4 NCHAR/NVARCHAR/... cols
    dialect = 'demo.MinimalSQLServer2008Dialect'
    username = "demo" // your login here
    password = "demo" // your password here
    url = "jdbc:sqlserver://localhost:1433;databaseName=demo;applicationName=MsSqlConstraints" // your server and database name here
    // url = "jdbc:sqlserver://10.211.55.3:1433;databaseName=demo;applicationName=MsSqlConstraints" // your server and database name here
}

hibernate {
    cache.use_second_level_cache = true
    cache.use_query_cache = true
    cache.provider_class = 'net.sf.ehcache.hibernate.EhCacheProvider'
}

// environment specific settings
environments {

    development {
        dataSource { dbCreate = "update" // one of 'create', 'create-drop','update', 'validate'
        }
    }

    test { 
        dataSource { dbCreate = "create-drop" // 
        }
    }

    production {
        dataSource { dbCreate = "update" //
        }
    }

}
